# $Revision: 1.22 $, $Date: 2012/07/01 14:17:49 $
Summary:	The openais Standards-Based Cluster Framework executive and APIs
Summary(pl.UTF-8):	Środowisko klastra opartego na standardach openais
Name:		openais
Version:	1.1.4
Release:	2
License:	BSD
Group:		Base
Source0:	ftp://ftp:download@ftp.openais.org/downloads/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e500ad3c49fdc45d8653f864e80ed82c
URL:		http://www.openais.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	corosync-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-libs = %{version}-%{release}
Requires:	corosync
Provides:	group(ais)
Provides:	user(ais)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the openais executive, openais service handlers,
default configuration files and init script.

%description -l pl.UTF-8
Ten pakiet zawiera środowisko wykonawcze, programy obsługi usług
openais, domyślne pliki konfiguracyjne oraz skrypt startowy.

%package libs
Summary:	The openais Standards-Based Cluster Framework libraries
Summary(pl.UTF-8):	Biblioteki klastra opartego na standardach openais
Group:		Libraries
Conflicts:	openais < 0.80.2-0.2

%description libs
This package contains the openais libraries.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki openais.

%package devel
Summary:	The openais Standards-Based Cluster Framework development files
Summary(pl.UTF-8):	Pliki programistyczne klastra opartego na standardach openais
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
This package contains the include files used to develop using openais
APIs.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkow służące do programowania z użyciem
API openais.

%package static
Summary:	The openais Standards-Based Cluster Framework static libraries
Summary(pl.UTF-8):	Statyczne biblioteki klastra opartego na standardach openais
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the openais static libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki openais.

%prep
%setup -q

sed -i -e 's/OPT_CFLAGS=.*/OPT_CFLAGS=/' configure.ac

%build
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	--with-initddir=/etc/rc.d/init.d \
	--with-lcrso-dir=$(pkg-config corosync --variable lcrsodir)

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Install the config and comment out all examples
mv $RPM_BUILD_ROOT/etc/corosync/amf.conf{.example,}
sed -i -e 's/^/#/' $RPM_BUILD_ROOT/etc/corosync/amf.conf

# Cleanup the buildroot
%{__rm} -r $RPM_BUILD_ROOT/usr/share/doc/openais

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 187 ais
%useradd -u 187 -d /usr/share/empty -s /bin/false -g ais -c "openais Standards Based Cluster Framework" -r ais

%post
/sbin/chkconfig --add openais
%service openais restart

%preun
if [ "$1" -eq "0" ]; then
	%service -q openais stop
	/sbin/chkconfig --del openais
fi

%postun
if [ "$1" = "0" ]; then
	%userremove ais
	%groupremove ais
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG README.amf
%attr(755,root,root) %{_sbindir}/aisexec
%attr(755,root,root) %{_sbindir}/openais-instantiate
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/corosync/amf.conf
%attr(754,root,root) /etc/rc.d/init.d/openais
%attr(755,root,root) %{_libdir}/lcrso/openaisserviceenable.lcrso
%attr(755,root,root) %{_libdir}/lcrso/service_*.lcrso
%{_mandir}/man5/amf.conf.5*
%{_mandir}/man5/openais.conf.5*
%{_mandir}/man8/openais_overview.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSaAmf.so.3.*.*
%attr(755,root,root) %ghost %{_libdir}/libSaAmf.so.3
%attr(755,root,root) %{_libdir}/libSaCkpt.so.3.*.*
%attr(755,root,root) %ghost %{_libdir}/libSaCkpt.so.3
%attr(755,root,root) %{_libdir}/libSaClm.so.3.*.*
%attr(755,root,root) %ghost %{_libdir}/libSaClm.so.3
%attr(755,root,root) %{_libdir}/libSaEvt.so.3.*.*
%attr(755,root,root) %ghost %{_libdir}/libSaEvt.so.3
%attr(755,root,root) %{_libdir}/libSaLck.so.3.*.*
%attr(755,root,root) %ghost %{_libdir}/libSaLck.so.3
%attr(755,root,root) %{_libdir}/libSaMsg.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libSaMsg.so.4
%attr(755,root,root) %{_libdir}/libSaTmr.so.3.*.*
%attr(755,root,root) %ghost %{_libdir}/libSaTmr.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSaAmf.so
%attr(755,root,root) %{_libdir}/libSaCkpt.so
%attr(755,root,root) %{_libdir}/libSaClm.so
%attr(755,root,root) %{_libdir}/libSaEvt.so
%attr(755,root,root) %{_libdir}/libSaLck.so
%attr(755,root,root) %{_libdir}/libSaMsg.so
%attr(755,root,root) %{_libdir}/libSaTmr.so
%{_includedir}/openais
%{_pkgconfigdir}/libSaAmf.pc
%{_pkgconfigdir}/libSaCkpt.pc
%{_pkgconfigdir}/libSaClm.pc
%{_pkgconfigdir}/libSaEvt.pc
%{_pkgconfigdir}/libSaLck.pc
%{_pkgconfigdir}/libSaMsg.pc
%{_pkgconfigdir}/libSaTmr.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSaAmf.a
%{_libdir}/libSaCkpt.a
%{_libdir}/libSaClm.a
%{_libdir}/libSaEvt.a
%{_libdir}/libSaLck.a
%{_libdir}/libSaMsg.a
%{_libdir}/libSaTmr.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openais.spec,v $
Revision 1.22  2012/07/01 14:17:49  jajcus
- Release: 2

Revision 1.21  2010/09/19 08:45:57  qboosh
- ac version
- verbose pkgconfig files
- proper init.d path
- package openais.conf(5) man, corosync note is not true (any longer?)
- kill OPT_CFLAGS override to -O3

Revision 1.20  2010/09/07 09:10:38  alucard
- up to 1.1.4

Revision 1.19  2010/07/17 16:02:54  alucard
- up to 1.1.3

Revision 1.18  2009/11/12 15:47:16  matik
- upped to 1.1.0
- rel. 1

Revision 1.17  2009/09/14 05:48:24  tommat
- typo, rel 2

Revision 1.16  2009/09/09 10:57:32  tommat
- rel 1

Revision 1.15  2009/09/09 09:53:18  tommat
- up to 1.0.1

Revision 1.14  2008/07/20 19:34:18  qboosh
- DEVEL branch note

Revision 1.13  2008/01/23 21:54:51  tommat
- up to 0.80.3, 0.82 is on the DEVEL branch
- new URL
- there is no EA afaik builds also on sparcs

Revision 1.12  2007-12-19 02:22:00  zbyniu
- up to 0.82

Revision 1.11  2007-04-06 10:34:31  qboosh
- typo

Revision 1.10  2007/04/06 10:33:57  qboosh
- no macros in Conflicts for old package

Revision 1.9  2007/04/06 10:31:49  glen
- conflicts before split

Revision 1.8  2007/04/06 08:59:45  qboosh
- oops, -libs don't depend on base

Revision 1.7  2007/04/06 08:59:04  qboosh
- separated -libs, so -devel doesn't require user and service
- no need for config for ld.so.conf file

Revision 1.6  2007/04/05 20:29:03  qboosh
- ldconfig dep

Revision 1.5  2007/04/05 20:25:08  zbyniu
- users created should be also removed (thnx glen)

Revision 1.4  2007/04/05 15:05:16  qboosh
- pl

Revision 1.3  2007/04/05 09:25:02  zbyniu
- %service, %groupadd, %useradd, misc

Revision 1.2  2007/04/05 03:55:22  aredridel
- fix build on non-amd64 arch
- fix build on arch with ( and ) in processor name

Revision 1.1  2007/04/03 01:24:26  zbyniu
- initial, needs more work
